"""
 functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = '/Users/runner/work/rdkit-pypi/rdkit-pypi/build/temp.macosx-10.9-x86_64-cpython-310/rdkit_install/share/RDKit/Data/FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x117de4f70>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x117de5000>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x117de5090>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x117de5120>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x117de51b0>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x117de5240>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x117de52d0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x117de5360>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x117de53f0>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x117de5480>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x117de5510>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x117de55a0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x117de5630>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x117de56c0>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x117de5750>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x117de57e0>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x117de5870>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x117de5900>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x117de5990>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x117de5a20>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x117de5ab0>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x117de5b40>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x117de5bd0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x117de5c60>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x117de5d80>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x117de5cf0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x117de5e10>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x117de5ea0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x117de5f30>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x117de5fc0>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x117de6050>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x117de60e0>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x117de6170>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x117de6200>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x117de6290>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x117de6320>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x117de63b0>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x117de6440>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x117de64d0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x117de6560>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x117de65f0>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x117de6680>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x117de6710>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x117de67a0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x117de6830>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x117de68c0>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x117de6950>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x117de69e0>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x117de6a70>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x117de6b00>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x117de6b90>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x117de6c20>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x117de6cb0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x117de6d40>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x117de6dd0>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x117de6e60>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x117de6ef0>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x117de6f80>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x117de7010>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x117de70a0>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x117de7130>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x117de71c0>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x117de7250>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x117de72e0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x117de7370>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x117de7520>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x117de7400>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x117de75b0>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x117de7640>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x117de76d0>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x117de7760>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x117de77f0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x117de7910>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x117de7880>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x117de79a0>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x117de7a30>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x117de7ac0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x117de7be0>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x117de7b50>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x117de7c70>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x117de7d00>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x117de7d90>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x117de7e20>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x117de7eb0>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x117de7f40>)]
name: str = 'fr_HOCCN'
